Index: librime-1.2+git20140810/include/rime/lever/switcher_settings.h
===================================================================
--- librime-1.2+git20140810.orig/include/rime/lever/switcher_settings.h
+++ librime-1.2+git20140810/include/rime/lever/switcher_settings.h
@@ -9,6 +9,9 @@
 
 #include <string>
 #include <vector>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include "custom_settings.h"
 
Index: librime-1.2+git20140810/include/rime/lever/user_dict_manager.h
===================================================================
--- librime-1.2+git20140810.orig/include/rime/lever/user_dict_manager.h
+++ librime-1.2+git20140810/include/rime/lever/user_dict_manager.h
@@ -9,6 +9,9 @@
 
 #include <string>
 #include <vector>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 
 namespace rime {
Index: librime-1.2+git20140810/src/core_module.cc
===================================================================
--- librime-1.2+git20140810.orig/src/core_module.cc
+++ librime-1.2+git20140810/src/core_module.cc
@@ -5,6 +5,9 @@
 // 2013-10-17 GONG Chen <chen.sst@gmail.com>
 //
 
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime_api.h>
 #include <rime/common.h>
Index: librime-1.2+git20140810/src/dict/db.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/db.cc
+++ librime-1.2+git20140810/src/dict/db.cc
@@ -5,6 +5,9 @@
 // 2011-11-02 GONG Chen <chen.sst@gmail.com>
 //
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime_version.h>
 #include <rime/common.h>
Index: librime-1.2+git20140810/src/dict/dict_compiler.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/dict_compiler.cc
+++ librime-1.2+git20140810/src/dict/dict_compiler.cc
@@ -7,6 +7,9 @@
 #include <fstream>
 #include <map>
 #include <set>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime/algo/algebra.h>
 #include <rime/algo/utilities.h>
Index: librime-1.2+git20140810/src/dict/dictionary.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/dictionary.cc
+++ librime-1.2+git20140810/src/dict/dictionary.cc
@@ -5,6 +5,9 @@
 // 2011-07-05 GONG Chen <chen.sst@gmail.com>
 //
 #include <utility>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime/common.h>
 #include <rime/schema.h>
Index: librime-1.2+git20140810/src/dict/mapped_file.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/mapped_file.cc
+++ librime-1.2+git20140810/src/dict/mapped_file.cc
@@ -7,6 +7,9 @@
 // 2011-06-30 GONG Chen <chen.sst@gmail.com>
 //
 #include <fstream>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <boost/interprocess/file_mapping.hpp>
 #include <boost/interprocess/mapped_region.hpp>
Index: librime-1.2+git20140810/src/dict/preset_vocabulary.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/preset_vocabulary.cc
+++ librime-1.2+git20140810/src/dict/preset_vocabulary.cc
@@ -4,6 +4,9 @@
 //
 // 2011-11-27 GONG Chen <chen.sst@gmail.com>
 //
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <boost/lexical_cast.hpp>
 #include <utf8.h>
Index: librime-1.2+git20140810/src/dict/tree_db.cc
===================================================================
--- librime-1.2+git20140810.orig/src/dict/tree_db.cc
+++ librime-1.2+git20140810/src/dict/tree_db.cc
@@ -4,6 +4,9 @@
 //
 // 2011-11-02 GONG Chen <chen.sst@gmail.com>
 //
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #if defined(_MSC_VER)
 #pragma warning(disable: 4244)
Index: librime-1.2+git20140810/src/gear/simplifier.cc
===================================================================
--- librime-1.2+git20140810.orig/src/gear/simplifier.cc
+++ librime-1.2+git20140810/src/gear/simplifier.cc
@@ -7,6 +7,9 @@
 #include <string>
 #include <vector>
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <opencc/opencc.h>
 #include <stdint.h>
Index: librime-1.2+git20140810/src/lever/custom_settings.cc
===================================================================
--- librime-1.2+git20140810.orig/src/lever/custom_settings.cc
+++ librime-1.2+git20140810/src/lever/custom_settings.cc
@@ -5,6 +5,9 @@
 // 2012-02-26 GONG Chen <chen.sst@gmail.com>
 //
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime/config.h>
 #include <rime/deployer.h>
Index: librime-1.2+git20140810/src/lever/deployment_tasks.cc
===================================================================
--- librime-1.2+git20140810.orig/src/lever/deployment_tasks.cc
+++ librime-1.2+git20140810/src/lever/deployment_tasks.cc
@@ -5,6 +5,9 @@
 // 2011-12-10 GONG Chen <chen.sst@gmail.com>
 //
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <boost/uuid/random_generator.hpp>
 #include <boost/uuid/uuid.hpp>
Index: librime-1.2+git20140810/src/lever/switcher_settings.cc
===================================================================
--- librime-1.2+git20140810.orig/src/lever/switcher_settings.cc
+++ librime-1.2+git20140810/src/lever/switcher_settings.cc
@@ -6,6 +6,9 @@
 //
 #include <utility>
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <rime/config.h>
 #include <rime/deployer.h>
Index: librime-1.2+git20140810/src/lever/user_dict_manager.cc
===================================================================
--- librime-1.2+git20140810.orig/src/lever/user_dict_manager.cc
+++ librime-1.2+git20140810/src/lever/user_dict_manager.cc
@@ -6,6 +6,9 @@
 //
 #include <fstream>
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <boost/scope_exit.hpp>
 #include <rime/common.h>
Index: librime-1.2+git20140810/src/lever/userdb_recovery_task.cc
===================================================================
--- librime-1.2+git20140810.orig/src/lever/userdb_recovery_task.cc
+++ librime-1.2+git20140810/src/lever/userdb_recovery_task.cc
@@ -5,6 +5,9 @@
 // 2013-04-22 GONG Chen <chen.sst@gmail.com>
 //
 #include <boost/algorithm/string.hpp>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 #include <boost/scope_exit.hpp>
 #include <rime/deployer.h>
Index: librime-1.2+git20140810/include/rime/lever/customizer.h
===================================================================
--- librime-1.2+git20140810.orig/include/rime/lever/customizer.h
+++ librime-1.2+git20140810/include/rime/lever/customizer.h
@@ -8,6 +8,9 @@
 #define RIME_CUSTOMIZER_H_
 
 #include <string>
+#ifndef BOOST_NO_SCOPED_ENUMS
+#define BOOST_NO_SCOPED_ENUMS
+#endif // BOOST_NO_SCOPED_ENUMS
 #include <boost/filesystem.hpp>
 
 namespace rime {
